﻿using Infragistics.Themes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace OverrideStyle
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ThemeManager.ApplicationTheme = new Office2013Theme();

            Style themeBasedStyle = (Style)FindResource(typeof(TextBox));
            //Option 1
            Style style = new Style(typeof(TextBox), themeBasedStyle);
            style.Setters.Add(new Setter(TextBox.BackgroundProperty, Brushes.BlanchedAlmond));
            tb_Styled.Resources.Add(typeof(TextBox), style);

            //Option 2
            Style style2 = new Style(typeof(TextBox), themeBasedStyle);
            style2.Setters.Add(new Setter(TextBox.BackgroundProperty, Brushes.Red));
            sp_StyledViaStackPanel.Resources.Add(typeof(TextBox), style2);
        }
    }
}
